Subject: Re: [PATCH 1/2] sideband.c: Use xmalloc() instead of variable-sized arrays.

From: Johannes Sixt <[email-masked]>
Date: Wed, 09 Jan 2008 09:06:56 +0100

Junio C Hamano schrieb:
> Johannes Sixt <[email-masked]> writes:
> 
>> Having said that, I'd actually prefer to stay with variable-sized arrays
>> if they prove portable enough because we don't need the handful of free()s
>> on function exits. Junio, if you like I can resend patch 2/2 using
>> variable-sized arrays.
> 
> As an old fashoned git myself, and given the fact that the
> possible prefix and suffix are small number of short constant
> strings, I actually prefer a simpler-and-more-stupid approach.
> 
>  sideband.c |   18 +++++++++++++-----
>  1 files changed, 13 insertions(+), 5 deletions(-)

Thanks, your version works well here, too, as a replacement of my two patches.

-- Hannes